Name:             jhighlight
Version:          1.0
Release:          %mkrel 1
Summary:          Syntax Highlighting Library
Group:            Development/Java
License:          CDDL
Url:              https://jhighlight.dev.java.net/
# Source0:       https://jhighlight.dev.java.net/files/documents/3366/30845/jhighlight-1.0-src.zip
# from https://api.opensuse.org/public/source/Java:jpackage-5.0/jhighlight/jhighlight-1.0-src.zip
Source0:          jhighlight-1.0-src.zip
Source1:          http://repo1.maven.org/maven2/com/uwyn/jhighlight/1.0/jhighlight-1.0.pom
Patch0:           jhighlight-1.0-build.patch
BuildRequires:    ant
BuildRequires:    java-devel
BuildRequires:    jflex
BuildRequires:    jpackage-utils
BuildRequires:    servletapi4
Requires:         java
Requires:         servletapi4
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
BuildArch:        noarch


%description
JHighlight is an embeddable pure Java syntax highlighting
library that supports Java, HTML, XHTML, XML and LZX
languages and outputs to XHTML.
    
It also supports RIFE templates tags and highlights them
clearly so that you can easily identify the difference
between your RIFE markup and the actual marked up source.

%package javadoc
Group:            Development/Java
Summary:          Javadocs for %{name}
Requires:         jpackage-utils

%description javadoc
Small embeddable pure Java library for syntax highlighting.

This package contains javadoc for %{name}.

%prep
%setup -q -n jhighlight-%{version}-src

for j in $(find . -name "*.jar"); do
	mv $j $j.no
done
pushd lib
	ln -sf $(build-classpath jflex) jflex-1.4.1.jar
	ln -sf $(build-classpath servletapi4) servlet-2.3.jar
popd

%patch0 -p0

%build

ant

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 build/dist/jhighlight-%{version}.jar \
  %{buildroot}%{_javadir}/jhighlight-%{version}.jar

(
	cd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} ${jar/-%{version}/}
	done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-jhighlight.pom
%add_to_maven_depmap com.uwyn jhighlight %{version} JPP jhighlight

mkdir -p %{buildroot}%{_javadocdir}/jhighlight
cp -pr build/javadocs/jhighlight-javadocs-%{version}/docs/api/* %{buildroot}%{_javadocdir}/jhighlight

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jhighlight-%{version}.jar
%{_javadir}/jhighlight.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc COPYING README

%files javadoc
%{_javadocdir}/jhighlight



%changelog

* Wed Oct 19 2011 dams <dams> 1.0-1.mga2
+ Revision: 156540
- update subpackage group
- update mkrel

  + gil <gil>
    - imported package jhighlight


* Fri Jul 15 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm

